# Class: SourceUpdater

## SourceUpdater(mediaSource, mimeType, sourceBufferEmitter)

#### new SourceUpdater(mediaSource, mimeType, sourceBufferEmitter)

A queue of callbacks to be serialized and applied when a MediaSource and its associated SourceBuffers are not in the updating state. It is used by the segment loader to update the underlying SourceBuffers when new data is loaded, for instance.

##### Parameters:

Name | Type | Description
--- | --- | ---
`mediaSource` | MediaSource | the MediaSource to create the SourceBuffer from
`mimeType` | String | the desired MIME type of the underlying SourceBuffer
`sourceBufferEmitter` | Object | an event emitter that fires when a source buffer is added to the media source

Source:
  - source-updater.js, line 8